epoll, LSB (was: Re: Problem roundup)

Mike Hearn mike at navi.cx
Sun Nov 21 17:00:52 CST 2004

On Sun, 2004-11-21 at 17:40 -0500, Vincent Béron wrote:
> That'd be great, but which lib versions do you plan to link to (Alsa,
> OpenSSL, etc.)? How far back do you want to be compatible with?

Good question. Until lots of users stop complaining that it doesn't work
on their systems, I guess. Right now apbuild is a bit aggressive w.r.t
glibc, we wind the clock back to before Debian Stable which is clearly
silly. The delta needs to be recalculated.

>From reading online help/newbie forums I've yet to see people using
systems older than Red Hat 8, most seem to be at least on RH9 by now.
That's still pretty poor compared to MS but hey, it's better than

Some libs may have broken backwards compatibility since then. Probably
have, in fact. That's one reason why I've not done an autopackage yet,
distro-neutral binaries are tricky to get right in the face of a very
unstable platform.

Mike Hearn <mike at navi.cx>

More information about the wine-devel mailing list